#- Copyright 2014 VMware, Inc.  All rights reserved.
#- VMware Confidential

module VAPI

    # A mixin for enabling messaging in various parts of the vAPI Ruby runtime.
    module Messaging
        attr_accessor :message_factory

        def init_messaging(config)
        end
    end

    class Message
    end

    class MessageFormatter
    end

    class MessageBundle
    end

    class MessageFactory
    end

end
